databaseChangeLog:
  - logicalFilePath: db-changelog-000522-add-seq-to-doc-chat.yaml
  - changeSet:
      author: appian
      id: 'tag-pre-000522'
      tagDatabase:
        tag: 'pre-000522'
  - changeSet:
      id: '000522.1.0'
      author: appian
      comment: Add sequence to document_chat_knowledge_set
      changes:
        preConditions:
          onFail: MARK_RAN
          changeLogPropertyDefined:
            property: createSequence
            value: true
        createSequence:
          sequenceName: document_chat_knowledge_set_sq
  - changeSet:
      id: '000522.1.1'
      author: appian
      comment: Add sequence to document_chat_conversation
      changes:
        preConditions:
          onFail: MARK_RAN
          changeLogPropertyDefined:
            property: createSequence
            value: true
        createSequence:
          sequenceName: document_chat_conversation_sq
  - changeSet:
      id: '000522.1.2'
      author: appian
      comment: Add sequence to document_chat_message
      changes:
        preConditions:
          onFail: MARK_RAN
          changeLogPropertyDefined:
            property: createSequence
            value: true
        createSequence:
          sequenceName: document_chat_message_sq
  - changeSet:
      id: '000522.1.3'
      author: appian
      comment: Add sequence to document_chat_document
      changes:
        preConditions:
          onFail: MARK_RAN
          changeLogPropertyDefined:
            property: createSequence
            value: true
        createSequence:
          sequenceName: document_chat_document_sq
